Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class FacetFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.gmt.modisco.infra.facet.impl.FacetFactoryImpl

All Implemented Interfaces:
  FacetFactory

    public class FacetFactoryImpl

extends EFactoryImpl
implements FacetFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.facet.FacetFactory
`eINSTANCE`

Constructor Summary
`FacetFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` | `create(EClass eClass)`
`Facet` | `createFacet()`
`FacetAttribute` | `createFacetAttribute()`
`FacetReference` | `createFacetReference()`
`FacetSet` | `createFacetSet()`
`Shortcut` | `createShortcut()`
`FacetPackage` | `getFacetPackage()`
`static FacetPackage` | `getPackage()` Deprecated.
`static FacetFactory` | `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetFactoryImpl

    public FacetFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static FacetFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFacet

    public Facet createFacet()

  Specified by:
    `createFacet` in interface `FacetFactory`
  Returns:
    a new object of class 'Facet'.

### createFacetAttribute

    public FacetAttribute createFacetAttribute()

  Specified by:
    `createFacetAttribute` in interface `FacetFactory`
  Returns:
    a new object of class 'Attribute'.

### createFacetReference

    public FacetReference createFacetReference()

  Specified by:
    `createFacetReference` in interface `FacetFactory`
  Returns:
    a new object of class 'Reference'.

### createFacetSet

    public FacetSet createFacetSet()

  Specified by:
    `createFacetSet` in interface `FacetFactory`
  Returns:
    a new object of class 'Set'.

### createShortcut

    public Shortcut createShortcut()

  Specified by:
    `createShortcut` in interface `FacetFactory`
  Returns:
    a new object of class 'Shortcut'.

### getFacetPackage

    public FacetPackage getFacetPackage()

  Specified by:
    `getFacetPackage` in interface `FacetFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static FacetPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD